# Blue Team: The Game

## Description

Files strewn across the board which may or may not contain a virus. The players must protect their end point/router/network from the enemy (which is the computer). Certain players have different powers that help you in defending your endpoint.

## Powered By

- <img src="dev/img/node.png" width="20" height="20"> [**Node.js**](https://github.com/nodejs/node) - the runtime for this project because it is quick and easy to spin up.
- <img src="dev/img/typeScript.svg" width="20" height="20"> [**Typescript**](https://github.com/microsoft/TypeScript) - most if not all of the backend code is written in typescript. TS was chosen over javascript because it ensures that types remained consistent throughout which is crucial to having less error prone code.
- <img src="dev/img/express.png" height="20"> [**Express.js**](https://github.com/expressjs/express) - used as the minimalist web framework to display the web page. It gave me low enough capabilities without going too low that it was hard to develop with.
- <img src="dev/img/socketIO.svg" height="20"> [**Socket.io**](https://github.com/socketio/socket.io) was used to make realtime interaction possible through the use of websockets and HTTP Long Polling as a fallback.
- <img src="https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/logos/exports/1544x1544_circle.png" height="20"> [**Catppuccin**](https://github.com/catppuccin/catppuccin) was used for the color scheme, it is pleasing and dark, with good guidelines on how to implement it.

## TODO:

### Game

- [ ] Finish rules
- [ ] Play the game

### Backend

- [x] Setup DB
- [x] Setup classes
- [x] Implement class abilities
- [x] Implement turns
- [x] Implement computer/file interaction
- [x] "Success" needs to be rolling
- [ ] Leaving player breaks things
- [ ] No "scratch disk class"
- [ ] Sort detected
- [ ] Fix movement

### Frontend

- [x] Setup CSS
- [x] Finish main menu
- [ ] Finish gameplay menu
- [ ] Finalize
